Bug 729503 - RFE: Add the ability to restart reload start and stop in path units
RFE: Add the ability to restart reload start and stop in path units
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks: systemd-RFE
  Show dependency treegraph
 
Reported: 2011-08-09 19:22 EDT by Jóhann B. Guðmundsson
Modified: 2013-07-25 21:31 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-25 21:31:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jóhann B. Guðmundsson 2011-08-09 19:22:42 EDT
Description of problem:

The summary says it all beside there are pretty obvious benefits for sysadmin since alot of daemons need reload and restart after configuration changes.
( having this build in saves the time of having to create additional unit only restart/reload the service )  


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Lennart Poettering 2011-08-21 08:20:04 EDT
Can you elaborate on what you are asking for? I have trouble understanding what you are requesting?
Comment 2 Jóhann B. Guðmundsson 2011-08-21 15:16:37 EDT
Add something like Action= which supports start/stop/restart/reload as opposed to only "activate" ( start ) the unit upon path changes.

Some daemon require restarts/reload to pick up configuration changes it would become handy for admins if path units would support that. 

Let's say we want to restart for example the radius daemon upon file changes one could create a path unit to handled that. 

# radiusd.path

[Unit]
Description=Restart Freeradius upon Clients Configuration Changes

[Path]
PathChanged=/etc/raddb/clients.conf
Action=restart
Comment 3 Fedora Admin XMLRPC Client 2011-10-20 12:30:39 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2013-01-16 12:41:23 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Harald Hoyer 2013-04-10 11:12:44 EDT
could be solved like: https://bugzilla.redhat.com/show_bug.cgi?id=902110#c1
Comment 6 Jóhann B. Guðmundsson 2013-04-10 12:09:20 EDT
Beside the obvious " having this build in saves the time of having to create additional unit only restart/reload the service" which is exactly trying to avoid what you are recommending there in C1 on bug 902110 and another sample ( like timer units ) that this should be supported in the .service unit itself.

The general idea was that users add files to a directory *then* it would restart once they had done that or would restart after they had edit a ( configuration ) file and the admin might want to take action different then what's defined in the parent unit

I have to think about this more
Comment 7 Lennart Poettering 2013-07-25 21:31:48 EDT
I agree with Harald, and for the same reason as in bug 902110 I will close this one now.

In the case of changing configuration files the risk is even bigger of running into that race. I can see how automatically reloading service configuration if a file changes is a good thing, but if it is then this really should be implemented inside the daemon and not taped on top.

Note You need to log in before you can comment on or make changes to this bug.